package yi.iu.ui.demo;

import yi.iu.ui.IUDemoFrame;

/**
 * Region base features demo
 */

public class RegionFeatureFrame  extends IUDemoFrame
{
  public RegionFeatureFrame() {
    super();
    open_new_window = true;
  }

  public String[] getMethodNames() {
    String methodChoice[] = {
        "ColorGuidedTextureSegDemo",
        "KMeansHSISegDemo",
        "CLC_CLusteringDemo",
    };
    return methodChoice;
  }

  public String[] getPackageNames() {
    String[] ss = {
        "yi.iu.processor.texture.reg",
        "yi.iu.processor.color.reg.merge",
        "yi.iu.processor.clc",
    };
    return ss;
  }


  public String[] getImageNames() {
    String imageChoice[]= yi.util.io.File.getFileNames("images");

//    String imageChoice[] = {
//        "images\demo\arborgreens24.jpg",
//        "images\demo\arborgreens47.jpg",
//        "images\demo\campusinfall15.jpg",
//        "images\demo\campusinfall26.jpg",
//        "images\demo\cannonbeach43.jpg",
//        "images\demo\cannonbeach47.jpg",
//        "images\demo\cherries09.jpg",
//        "images\demo\cherries45.jpg",
//        "images\demo\football28.jpg",
//        "images\demo\football44.jpg",
//        "images\demo\greenlake18.jpg",
//        "images\demo\greenlake21.jpg",
//        "images\demo\sanjuans19.jpg",
//        "images\demo\sanjuans35.jpg",
//        "images\demo\springflowers01.jpg",
//        "images\demo\springflowers21.jpg",
//        "images\demo\yellowstone01.jpg",
//        "images\demo\yellowstone33.jpg",
//    };
    return imageChoice;
  }

  static public void main(String args[])
  {
    try
    {
      //Create a new instance of our application's frame, and make it visible.
        (new RegionFeatureFrame()).setVisible(true);
    }
    catch (Throwable t)
    {
      System.err.println(t);
      t.printStackTrace();
      //Ensure the application exits with an error condition.
      System.exit(1);
    }
  }



}
